Metacat - Bug #6306

During the upgrading metacat to 2.3.0, a user can see a message saying the index schema was
changed even though he didn't

12/16/2013 02:06 PM - Jing Tao

Status: Works For Me Start date: 12/16/2013
Priority: Normal Due date:

Assignee: Jing Tao % Done: 0%
Category: index Estimated time: 0.00 hour
Target version: 2.4.0 Spent time: 0.00 hour
Bugzilla-ld:

Description

If the index schema was modified, users shouldn't see the message.

History

#1 - 12/16/2013 02:07 PM - Jing Tao

The version of the previous metacat is 2.2.1

#2 - 12/17/2013 05:35 PM - Jing Tao

This bug it is harder than | thought because i can reproduce the bug once, then i can't.

| downloaded metacat-bin-2.2.1 and installed it. Then i downloaded metacat-bin-2.3.0 and upgrade it. | got the same message even though i didn't

change the schema. | tried to upgrade the metacat from trunk, i didn't see the message. | tried to upgrade from metacat-src-2.3.0 and couldn't see
the message. Finally, i tried metacat-bin-2.3.0 again, still couldn't see the message. | will test more on tomorrow.

#3 - 01/31/2014 02:48 PM - ben leinfelder

Reminder: for 2.4.0, | changed the schema.xml to use a copy from the metacat-index project. | need to add this hash to the list of "known" schema
versions.

#4 - 02/13/2014 12:04 PM - ben leinfelder

- Status changed from New to In Progress

I included the md5 for the latest version of the schema we are shipping (customized in metacat-common).

Sounds like it is still a mystery about when/why the warning message appears for some users.

#5 - 02/14/2014 11:15 AM - ben leinfelder

- Status changed from In Progress to Works For Me

Not really sure what was happening, but not really able to replicate reliably.

04/25/2024 1/1



http://www.tcpdf.org

